Bug 34177 - checkpc and lpd give errors on startup after using up2date
Summary: checkpc and lpd give errors on startup after using up2date
Keywords:
Status: CLOSED DUPLICATE of bug 33580
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: LPRng
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-30 23:16 UTC by Jeffrey Wacaser
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-03-30 23:16:28 UTC


Attachments (Terms of Use)

Description Jeffrey Wacaser 2001-03-30 23:16:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.17-14 i686)


after running up2date, lpd and checkpc give error after updating numerous
systems
checkpc: error while loading shared libraries: checkpc: undefined symbol:
stat
lpd does the same
one of the following packages seems to cause the problem as replacing the
original versions remedies the problem
                
Name                                    Version        Rel
--------------------------------------------------------------
db3                                     3.1.17         5                   
gnorpm                                  0.95.1         6.7x                
krb5-devel                              1.2.2          3                   
krb5-libs                               1.2.2          3                   
mutt                                    1.2.5i         8.7                 
openssh                                 2.5.2p2        1.7                 
openssh-askpass                         2.5.2p2        1.7                 
openssh-askpass-gnome                   2.5.2p2        1.7                 
openssh-clients                         2.5.2p2        1.7                 
openssh-server                          2.5.2p2        1.7                 
popt                                    1.6.2          7x                  
vim-common                              5.7            8                   
vim-minimal                             5.7            8                   




Reproducible: Always
Steps to Reproduce:
1.up2date -u
2.checkpc
3.
	

Actual Results:  root@grunt#checkpc
checkpc: error while loading shared libraries: checkpc: undefined symbol:
stat

and 
root@grunt# lpd              
lpd: error while loading shared libraries: lpd: undefined symbol: stat

root@grunt# service lpd start
Starting lpd: /usr/sbin/checkpc: error while loading shared libraries:
/usr/sbin/checkpc: undefined symbol: stat

root@grunt# 

Expected Results:  lpd starts

# service lpd start
Starting lpd:                                              [  OK  ]
# checkpc
# checkpc -f

verion of LPRng
LPRng-3.6.24-2

Comment 1 Jeremy Katz 2001-03-31 02:22:06 UTC

*** This bug has been marked as a duplicate of 33580 ***


Note You need to log in before you can comment on or make changes to this bug.